summaryrefslogtreecommitdiff
path: root/bin/doccheckin
diff options
context:
space:
mode:
Diffstat (limited to 'bin/doccheckin')
-rwxr-xr-xbin/doccheckin6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/doccheckin b/bin/doccheckin
index 29046f8b..02bcc6e9 100755
--- a/bin/doccheckin
+++ b/bin/doccheckin
@@ -19,9 +19,11 @@ git add howm/*.org howm/*/*.org \
papers/*.org papers/*.md papers/*.bib \
newpapers/*/*.org \
dissert/*.md pres/*.md letters/*.tex \
- emacs-abbrevs emacs-bookmarks News/* \
+ emacs-abbrevs emacs-bookmarks \
emacs-diary archive/emacs-diary-* \
|| true
+[ "$1" = "--full" ] && git add News/* ||:
+
# this command should never fail and stop mr
-git commit -a -m "auto commit on $(hostname -s)" || true
+git commit -m "auto commit on $(hostname -s)" || true